# class NoMethodError

Raised when a method is called on a receiver which doesn't have it defined and also fails to respond with `method_missing`.

    "hello".to_ary

raises the exception:

    NoMethodError: undefined method `to_ary' for "hello":String

### Public Class Methods

new([msg, *, name [, args]]) → no_method_error click to toggle source

Construct a `NoMethodError` exception for a method of the given name called with the given arguments. The name may be accessed using the `#name` method on the resulting object, and the arguments using the `#args` method.

    static VALUE
    nometh_err_initialize(int argc, VALUE *argv, VALUE self)
    {
        VALUE priv = (argc > 3) && (--argc, RTEST(argv[argc])) ? Qtrue : Qfalse;
        VALUE args = (argc > 2) ? argv[--argc] : Qnil;
        name_err_initialize(argc, argv, self);
        rb_ivar_set(self, id_args, args);
        rb_ivar_set(self, id_private_call_p, RTEST(priv) ? Qtrue : Qfalse);
        return self;
    }

### Public Instance Methods

args → obj click to toggle source

Return the arguments passed in as the third parameter to the constructor.

    static VALUE
    nometh_err_args(VALUE self)
    {
        return rb_attr_get(self, id_args);
    }

private_call?() click to toggle source

    static VALUE
    nometh_err_private_call_p(VALUE self)
    {
        return rb_attr_get(self, id_private_call_p);
    }